Diligent Engine API Reference: Diligent::ITextureViewD3D11 Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::ITextureViewD3D11 Class Referenceabstract

Interface to the texture view object implemented in D3D11. More...

Inheritance diagram for Diligent::ITextureViewD3D11:

## Public Member Functions
virtual ID3D11View * | GetD3D11View ()=0
| Returns a pointer to the ID3D11View interface of the internal Direct3D11 object. More...
Public Member Functions inherited from Diligent::ITextureView
virtual void | QueryInterface (const Diligent::INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual const TextureViewDesc & | GetDesc () const =0
| Returns the texture view description used to create the object.
virtual void | SetSampler (class ISampler *pSampler)=0
| Sets the texture sampler to use for filtering operations when accessing a texture from shaders. Only shader resource views can be assigned a sampler. The view will keep strong reference to the sampler.
virtual ISampler * | GetSampler ()=0
| Returns the pointer to the sampler object set by the ITextureView::SetSampler(). More...
virtual class ITexture * | GetTexture ()=0
| Returns the pointer to the referenced texture object. More...
virtual void | GenerateMips (IDeviceContext *pContext)=0
| Generates a mipmap chain. More...
Public Member Functions inherited from Diligent::IDeviceObject
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.

## Detailed Description

Interface to the texture view object implemented in D3D11.

## Member Function Documentation

## ◆ GetD3D11View()

virtual ID3D11View* Diligent::ITextureViewD3D11::GetD3D11View | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D11View interface of the internal Direct3D11 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::TextureViewD3D11Impl.